Package com.privatejgoodies.common.internal

# Interface IActionBean

All Superinterfaces:
  `IActionObject`, `ObservableBean`, `ObservableBean2`

public interface IActionBean extends ObservableBean2, IActionObject
Describes beans that can look up an Action for a given Action name.

Note: This class is intended for predefined and custom binder implementations as used by the JGoodies Binding API. Application developers won't use this interface directly.

Since:
  1.4
Author:
  Karsten Lentzsch

## Method Summary

### Methods inherited from interface com.privatejgoodies.common.internal.IActionObject

`getAction`

### Methods inherited from interface com.privatejgoodies.common.bean.ObservableBean

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from interface com.privatejgoodies.common.bean.ObservableBean2

`addPropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener`